package cc.smtweb.system.bpm.web.sys.user.role;

import cc.smtweb.framework.core.annotation.SwService;
import cc.smtweb.framework.core.mvc.service.AbstractHandler;
import cc.smtweb.system.bpm.web.engine.dynPage.DynPageService;

/**
 * Created by 1 at 2022-08-08 10:11:53
 * 页面【[角色]的服务类
 */
@SwService
public class RoleService extends DynPageService {
    //public final static String TYPE_DEMO = "demo";
    @Override
    protected AbstractHandler createHandler(String type) {
        switch (type) {
            case TYPE_SAVE:
                return new RoleHandler.RoleSaveHandler();
            case TYPE_LOAD:
                return new RoleHandler.RoleLoadHandle();
        }
        return super.createHandler(type);
    }

/* demo
    //自定义
    public R demo(@SwBody SwMap params, UserSession us) {
        return pageHandler(params, us, TYPE_DEMO, handler -> ((DemoHandler)handler).demo());
    }
*/

}
